View Issue Details

IDProjectCategoryView StatusLast Update
0003279GNUnetGNSpublic2014-04-08 16:41
ReporterMatthias WachsAssigned Toschanzen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.10.0 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003279: No reverse lookups when NSS plugin is enabled
Description$ gnunet-transport -i -n
Peer `6DNC': udp udp.0.131.159.20.125:20027
Peer `9NTF': udp udp.0.131.159.20.32:2086
Peer `SG6C': tcp tcp.0.131.159.205.6:2086
Peer `ST7E': tcp tcp.0.131.159.20.59:10003
Steps To ReproduceWith hosts: files gns [NOTFOUND=return] myhostname mdns4_minimal dns mdns4 :

$ gnunet-transport -i
Peer `6DNC': udp udp.0.131.159.20.125:20027
Peer `9NTF': udp udp.0.131.159.20.32:2086
Peer `SG6C': tcp tcp.0.131.159.205.6:2086
Peer `ST7E': tcp tcp.0.131.159.20.59:10003

$ gnunet-transport -i -n
Peer `6DNC': udp udp.0.131.159.20.125:20027
Peer `9NTF': udp udp.0.131.159.20.32:2086
Peer `SG6C': tcp tcp.0.131.159.205.6:2086
Peer `ST7E': tcp tcp.0.131.159.20.59:10003
Additional InformationWith hosts: files dns [NOTFOUND=return] mdns4_minimal mdns4

$ gnunet-transport -i
Peer `6DNC': udp udp.0.powerbot.net.in.tum.de:20027
Peer `SG6C': tcp tcp.0.6.205.eduroam.dynamic.rbg.tum.de:2086
Peer `ST7E': tcp tcp.0.saturn.net.in.tum.de:10003
Peer `9NTF': udp udp.0.pixel.net.in.tum.de:2086
$ gnunet-transport -i -n
Peer `6DNC': udp udp.0.131.159.20.125:20027
Peer `9NTF': udp udp.0.131.159.20.32:2086
Peer `SG6C': tcp tcp.0.131.159.205.6:2086
Peer `ST7E': tcp tcp.0.131.159.20.59:10003
TagsNo tags attached.

Activities

schanzen

2014-02-08 00:13

developer   ~0008078

Resolved in r32258. Eventually we want to reverse lookup in GNS. But there is no api yet

Issue History

Date Modified Username Field Change
2014-01-21 10:05 Matthias Wachs New Issue
2014-01-21 10:05 Matthias Wachs Status new => assigned
2014-01-21 10:05 Matthias Wachs Assigned To => Matthias Wachs
2014-01-21 10:19 Christian Grothoff Product Version => 0.10.0
2014-01-21 10:19 Christian Grothoff Target Version => 0.10.1
2014-02-07 10:49 Christian Grothoff Assigned To Matthias Wachs => schanzen
2014-02-08 00:13 schanzen Note Added: 0008078
2014-02-08 00:13 schanzen Status assigned => resolved
2014-02-08 00:13 schanzen Resolution open => fixed
2014-02-08 13:19 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed